nxt.addons

## Class FundingMonitorsEncryptedConfig

- java.lang.Object
- - nxt.addons.AbstractEncryptedConfig
  - - nxt.addons.FundingMonitorsEncryptedConfig

- All Implemented Interfaces:
    AddOn

      public class FundingMonitorsEncryptedConfig
      extends AbstractEncryptedConfig

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FundingMonitorsEncryptedConfig()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.lang.String` | `getAPIRequestName()`
    `protected APITag` | `getAPITag()`
    `protected java.lang.String` | `getDataParameter()`
    `protected org.json.simple.JSONStreamAware` | `processDecrypted(java.io.BufferedReader reader)`

    - ### Methods inherited from class nxt.addons.AbstractEncryptedConfig

      `getAPIRequests, getDefaultFilename, getDefaultPath, getExtraParameters, getSaveData, init, resolvePath`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface nxt.addons.AddOn

      `getAPIRequestHandler, getAPIRequestType, shutdown`

- - ### Constructor Detail

    - #### FundingMonitorsEncryptedConfig

          public FundingMonitorsEncryptedConfig()

  - ### Method Detail

    - #### getAPIRequestName

          protected java.lang.String getAPIRequestName()

      Specified by:
        `getAPIRequestName` in class `AbstractEncryptedConfig`

    - #### getAPITag

          protected APITag getAPITag()

      Specified by:
        `getAPITag` in class `AbstractEncryptedConfig`

    - #### getDataParameter

          protected java.lang.String getDataParameter()

      Specified by:
        `getDataParameter` in class `AbstractEncryptedConfig`

    - #### processDecrypted

          protected org.json.simple.JSONStreamAware processDecrypted(java.io.BufferedReader reader)

      Specified by:
        `processDecrypted` in class `AbstractEncryptedConfig`